<?xml version="1.0" encoding="utf-8" standalone="yes"?>
<rss version="2.0" xmlns:atom="http://www.w3.org/2005/Atom">
  <channel>
    <title>burble.dn42</title>
    <link>https://dn42.burble.com/</link>
    <description>Recent content on burble.dn42</description>
    <generator>Hugo -- gohugo.io</generator>
    <language>en-gb</language><atom:link href="https://dn42.burble.com/index.xml" rel="self" type="application/rss+xml" />
    <item>
      <title>2020</title>
      <link>https://dn42.burble.com/additional/maintlog/2020/</link>
      <pubDate>Mon, 01 Jan 0001 00:00:00 +0000</pubDate>
      
      <guid>https://dn42.burble.com/additional/maintlog/2020/</guid>
      <description>Archive of changes made in 2020
13th December 2020 Issue Log
burble.dn42 now has a public issue log, hosted on the DN42 Registry.
 Issue Log  Feel free to raise issues or enhancements on the log.
Speedtest Service
An experimental speed test service has been introduced:
 France: https://speedtest.fr-rbx1.burble.dn42 Canada: https://speedtest.ca-bhs2.burble.dn42  The two services are currently only accessible over IPv6 but are hosted on dedicated servers with plenty of available bandwidth.</description>
    </item>
    
    <item>
      <title>2019</title>
      <link>https://dn42.burble.com/additional/maintlog/2019/</link>
      <pubDate>Mon, 01 Jan 0001 00:00:00 +0000</pubDate>
      
      <guid>https://dn42.burble.com/additional/maintlog/2019/</guid>
      <description>Archive of changes made in 2019
31st December 2019 The Christmas period has been a really busy period for burble.dn42, with integration and transfer of services over to the new nodes. Primarily, this has meant moving services from fr-rbx1 and sg-sin2 to fr-rbx2, fr-sbg1 and sg-sin1. As part of the rebuilding, I&amp;rsquo;ve also taken the opportunity to re-create most of my ansible scripting, with the intent that this will eventually be published.</description>
    </item>
    
    <item>
      <title>2018</title>
      <link>https://dn42.burble.com/additional/maintlog/2018/</link>
      <pubDate>Mon, 01 Jan 0001 00:00:00 +0000</pubDate>
      
      <guid>https://dn42.burble.com/additional/maintlog/2018/</guid>
      <description>Archive of changes made in 2018
30th December 2018 Migrated US anycast services from dn42-us-dal1 to dn42-us-dal3.
27th December 2018 Added Certificate Authority details.
26th December 2018 Upgraded the looking glass with Zhaofeng bird-lg fixes.
ROA data is available through the burble.dn42 website, see the Services page.
RPKI service is now replicated across regions to provide additional resiliency.
New version of bird2 deployed, including RPKI fixes from JRB0001.
24th December 2018 Added new peers:</description>
    </item>
    
    <item>
      <title>Peering with burble.dn42</title>
      <link>https://dn42.burble.com/network/peering/</link>
      <pubDate>Mon, 01 Jan 0001 00:00:00 +0000</pubDate>
      
      <guid>https://dn42.burble.com/network/peering/</guid>
      <description>This page provides the information to get started on peering with the burble.dn42 network
burble.dn42 is a set of global POPs integrated to the dn42 network, and new peering requests are welcome. A description of the network is available in the Overview page.
burble.dn42 is a large network and there are some restrictions in place to protect the network and the rest of the DN42. Please ensure you read the information below before requesting to peer.</description>
    </item>
    
    <item>
      <title>DN42</title>
      <link>https://dn42.burble.com/services/dn42/</link>
      <pubDate>Mon, 01 Jan 0001 00:00:00 +0000</pubDate>
      
      <guid>https://dn42.burble.com/services/dn42/</guid>
      <description>burble.dn42 hosts a number of DN42 infrastructure services.
DNS    Service Name IP     DN42 Master b.master.delegation-servers.dn42 fd42:180:3de0:30::1   Authoritative Service b.delegation-servers.dn42 172.20.129.1fd42:4242:2601:ac53::1   Recursive Service b.recursive-servers.dn42 172.20.129.2fd42:4242:2601:ac53::53    burble.dn42 provides a local, anycast, authoritative and recursive DNS service.
The DNS Service has it&amp;rsquo;s own page.
DN42 Wiki Mirror    Mirror URLs      wiki.dn42wiki.burble.dn42  (editable via DN42)   dn42.</description>
    </item>
    
    <item>
      <title>Node Information</title>
      <link>https://dn42.burble.com/network/nodes/</link>
      <pubDate>Mon, 01 Jan 0001 00:00:00 +0000</pubDate>
      
      <guid>https://dn42.burble.com/network/nodes/</guid>
      <description>Europe dn42-fr-rbx1          Location OVH (SoYouStart), Roubaix, France   Specs 4 core/8 thread, 32GB, 2 x 960GB SSD, 500mbit unmetered   Public Hostname dn42-fr-rbx1.burble.com   Public IPv4 Address 176.31.240.39   Public IPv6 Address 2001:41d0:8:127::1   Tunnel IPv4 Peer Address 172.20.129.188/32   Tunnel IPv6 Link Local fe80::42:2601:36:1/64   Tunnel IPv6 ULA fd42:4242:2601:36::1/128    dn42-uk-lon1          Location Clouvider, London, UK   Specs 4 core/8 thread, 32GB, 2 x 240GB SSD, 10TB bw   Public Hostname dn42-uk-lon1.</description>
    </item>
    
    <item>
      <title>Public Services</title>
      <link>https://dn42.burble.com/services/public/</link>
      <pubDate>Mon, 01 Jan 0001 00:00:00 +0000</pubDate>
      
      <guid>https://dn42.burble.com/services/public/</guid>
      <description>Services provided for use within DN42
Website  burble.dn42 (dn42 link) dn42.burble.com (public internet link)  This website is built using Hugo and is distributed across burble.dn42 core nodes.
The public internet site is hosted on de-fra1 behind CloudFlare and the source for the website is published in the burble.dn42 git.
Issue Log A public issue log is maintained on the DN42 Registry.
 Issue Log  Users are welcome to raise issues or enhancements via the log.</description>
    </item>
    
    <item>
      <title>Internal Services</title>
      <link>https://dn42.burble.com/services/internal/</link>
      <pubDate>Mon, 01 Jan 0001 00:00:00 +0000</pubDate>
      
      <guid>https://dn42.burble.com/services/internal/</guid>
      <description>This page provides some documenation on other services used within burble.dn42 that are not directly available for public use.
rproxy.burble.dn42 Core nodes run an nginx container that acts as a reverse proxy for services hosted in tier2.
The reverse proxy is distributed to improve local response times and is anycast as rproxy.burble.dn42. Most web services provided by burble.dn42 are simply CNAMEs to the reverse proxy which then balances and forwards the request to the actual service.</description>
    </item>
    
    <item>
      <title>IPAM</title>
      <link>https://dn42.burble.com/network/IPAM/</link>
      <pubDate>Mon, 01 Jan 0001 00:00:00 +0000</pubDate>
      
      <guid>https://dn42.burble.com/network/IPAM/</guid>
      <description>IP address tables
General Ranges IPv4    IPv4 Address Range Purpose     172.20.129.0/27 burble.dn42 services   172.20.129.160/27 burble.dn42 nodes    IPv6    IPv6 Address Range Purpose     fd42:4242:2601:acXX::/64 Anycast services   fd42:4242:2601:AA::/64 Public services for host AA   fd42:4242:2601:AA00::/56 /56 routed to host AA   fd42:4242:2601:AA02::/64 Tier2 services on host AA    burble.</description>
    </item>
    
    <item>
      <title>Routing Policy</title>
      <link>https://dn42.burble.com/network/routing-policy/</link>
      <pubDate>Mon, 01 Jan 0001 00:00:00 +0000</pubDate>
      
      <guid>https://dn42.burble.com/network/routing-policy/</guid>
      <description>With a global network and multiple peers, the burble.dn42 network typically has many alternative route paths for reaching a particular destination. The routing policy aims to keep route selection sane, and avoid sending traffic outside of a region where possible.
Policy Objectives  Direct routes for prefixes belonging to a peer should be given the highest priority.  So that traffic to peer networks is routed over the burble.dn42 network directly to the peer and not via an external 3rd party   Routes to the anycast prefixes should be prioritised through stable, low latency peers.</description>
    </item>
    
    <item>
      <title>BGP Communities</title>
      <link>https://dn42.burble.com/network/communities/</link>
      <pubDate>Mon, 01 Jan 0001 00:00:00 +0000</pubDate>
      
      <guid>https://dn42.burble.com/network/communities/</guid>
      <description>This page describes the use of BGP communities within the network.
DN42 Communities DN42 Communities are applied both internally and externally, and are used to influence the Routing Policy.
   Community  Description     ( 64511 : 0 &amp;lt; x &amp;lt; 21 )  Max latency   ( 64511 : 20 &amp;lt; x &amp;lt; 30 )  Min bandwidth   ( 64511 : 30 &amp;lt; x &amp;lt; 35 )  Min encryption   ( 64511 : 40 &amp;lt; x &amp;lt; 54 )  Route Origin    Well Known BGP Communities The following well known communities are implemented.</description>
    </item>
    
    <item>
      <title>DNS</title>
      <link>https://dn42.burble.com/services/dns/</link>
      <pubDate>Mon, 01 Jan 0001 00:00:00 +0000</pubDate>
      
      <guid>https://dn42.burble.com/services/dns/</guid>
      <description>burble.dn42 provides a suite of DNS services, including running one of the two DN42 DNS master nodes that exports registry information to the DNS infrastructure.
   Role Names     DN42 DNS Master b.master.delegation-servers.dn42   Authoritative DNS Service b.delegation-servers.dn42
ns1.burble.dn42   Recursive DNS Service b.recursive-servers.dn42dns.burble.dn42   dns64 Service dns64.burble.dn42    Apart from the Master, all DNS services are anycast across every node to provide fast, local responses network wide.</description>
    </item>
    
    <item>
      <title>Certificate Authority</title>
      <link>https://dn42.burble.com/services/ca/</link>
      <pubDate>Mon, 01 Jan 0001 00:00:00 +0000</pubDate>
      
      <guid>https://dn42.burble.com/services/ca/</guid>
      <description>burble.dn42 maintains a PKI infarstructure for its services, using Hashicorp Vault
CA details          countryName GB   stateOrProvinceName  dn42   organizationName burble.dn2   commonName ca.burble.dn42   emailAddress dn42@burble.com    CA Download burble-dn42-ca.pem
-----BEGIN CERTIFICATE----- MIIDrDCCApSgAwIBAgIJAIZWD8xmHTYFMA0GCSqGSIb3DQEBCwUAMGsxCzAJBgNV BAYTAkdCMQ0wCwYDVQQIDARkbjQyMRQwEgYDVQQKDAtidXJibGUuZG40MjEXMBUG A1UEAwwOY2EuYnVyYmxlLmRuNDIxHjAcBgkqhkiG9w0BCQEWD2RuNDJAYnVyYmxl LmNvbTAeFw0xODEyMjIwOTIxMDhaFw0yMDEyMjEwOTIxMDhaMGsxCzAJBgNVBAYT AkdCMQ0wCwYDVQQIDARkbjQyMRQwEgYDVQQKDAtidXJibGUuZG40MjEXMBUGA1UE AwwOY2EuYnVyYmxlLmRuNDIxHjAcBgkqhkiG9w0BCQEWD2RuNDJAYnVyYmxlLmNv bTCCASIwDQYJKoZIhvcNAQEBBQADggEPADCCAQoCggEBALEsUm0KtuwZjrMeWl/x t8f5XCLdDdBAm9KWfJWl9fwxTFkwYEMaXMLjhsmoLKuyXejs7X72VAA/Ctz9KuiQ l/teuGKvt8gNbq3IXVH9KxW8uiSWJIUklZ801qLjUX4kzWJlCgug7Xd2Q0LsevvC QMSNa2Blfh6ieMtjeQNaRhoyy3xEn7t/CNkn5U+bVFTUYE31fREWyEJe2avX2KIs y55GxlkUmOZZPAsMs9at+NmfDWsxOYJSYBOeLsyzJnHWX0g+X9sBf14CDPL3KVxq NdGlPGYmJXr8Q5bNUv6diHSGd4nW/ft/IRGPpgXpwzcQNQHfneZUGSC9L+0B4LR4 sqkCAwEAAaNTMFEwHQYDVR0OBBYEFN8+6wkXTKajsoezC1nzvBe+YZscMB8GA1Ud IwQYMBaAFN8+6wkXTKajsoezC1nzvBe+YZscMA8GA1UdEwEB/wQFMAMBAf8wDQYJ KoZIhvcNAQELBQADggEBAEdmCZyKaEk2AOcgVkQ9OMAR+AaGIUCazvWKGx2DXAJI 2zmeEKx1tkRAkEQkzoUo7vor+X8/f3FVmtVF5bxbI9y7LsrXSNZB62z+Voyj36Id rOx05MN9FPbz6FAD5a7vTWCK7hRgGTaUGwYVyVXy9iiSA8Oqm8sqblvfk9jz3E5Y TJP6b8Y/Dq9BLpciozqSLo2zPOvl7kaN3kS3eufzA4O9LKfFIxXIcqfsSzFlbQyu afBrjiG18FVCNPQW3kCBk2oOWl7z/SJjB1oG/ZcDhSdHYPj+1gTsnzTKAB8qJikh gGwJMRLy1L5Bd0p63in5SNX9LXVsY+8YiA7sa3yAhWc= -----END CERTIFICATE----- Certificate Expiry Date: May 12 10:08:49 2029 GMT  </description>
    </item>
    
    <item>
      <title>Realtime Status</title>
      <link>https://dn42.burble.com/network/status/</link>
      <pubDate>Mon, 01 Jan 0001 00:00:00 +0000</pubDate>
      
      <guid>https://dn42.burble.com/network/status/</guid>
      <description>Uptime Robot  https://dn42.status.burble.com/ (public internet link)  All nodes are monitored using UptimeRobot.
Grafana Dashboards  https://grafana.burble.com (public internet link) https://grafana.burble.dn42 (DN42 link)  Netdata and Prometheus are used to monitor the network and stats are presented using a series of Grafana dashboards.
BGP and Peering Status  https://lg.burble.com/ (public internet link) https://lg.burble.dn42/ (DN42 link)  BGP status can be found through my looking glass.</description>
    </item>
    
    <item>
      <title>Privacy Policy</title>
      <link>https://dn42.burble.com/privacy/</link>
      <pubDate>Fri, 18 Dec 2020 00:00:00 +0000</pubDate>
      
      <guid>https://dn42.burble.com/privacy/</guid>
      <description>In common with most websites, the burble.dn42 site and associated services may log any access you make and these logs contain your source IP address together with the page or service being accessed. If you are required to log in to access a burble.dn42 service, you should assume that the user id used for the service is also logged. Website and service logs are accessible only by the network administrators and used purely for diagnostic reasons and to prevent abuse.</description>
    </item>
    
    <item>
      <title>Overview</title>
      <link>https://dn42.burble.com/network/overview/</link>
      <pubDate>Mon, 01 Jan 0001 00:00:00 +0000</pubDate>
      
      <guid>https://dn42.burble.com/network/overview/</guid>
      <description>burble.dn42 is an experimental global network within DN42.
The network is well connected with a large number of peers, and hosts some of the DN42 core infrastructure.
Topology All nodes in the burble.dn42 network are fully meshed with wireguard tunnels. iBGP with BGP Confederations and a latency based metric are used as the interior routing protocol between nodes. iBGP is also fully meshed. and the configuration for both iBGP and wireguard tunnels is built using a number of Ansible scripts.</description>
    </item>
    
    <item>
      <title>Things to do in DN42</title>
      <link>https://dn42.burble.com/additional/things-to-do/</link>
      <pubDate>Mon, 01 Jan 0001 00:00:00 +0000</pubDate>
      
      <guid>https://dn42.burble.com/additional/things-to-do/</guid>
      <description>What can you do in DN42 ? Ultimately, you&amp;rsquo;ll get out of DN42 what you put in to it, but I&amp;rsquo;ve listed here a few ideas that may serve as inspiration and the spark an idea.
This is deliberately not a set of instructions or a guide and it&amp;rsquo;s not a checklist of stuff you must do. If you are interested in something there is plenty of public information available on all these topics.</description>
    </item>
    
  </channel>
</rss>
